/* font-family: 'Ubuntu', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
/* font-family: 'Source Code Pro', monospace; */
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* font-family: 'Kanit', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* font-family: 'Permanent Marker', cursive; */
@import url('https://fonts.googleapis.com/css2?family=Permanent+Marker&display=swap');

html {
	background: #151515;
	color: white;
	scroll-behavior: smooth;
	background-color: #495bd0;
}

*,
body {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	color: white;
	font-family: 'Kanit', 'Ubuntu', Ubuntu, -apple-system, BlinkMacSystemFont, 'Segoe UI',
		Roboto, Oxygen, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
	color: inherit;
}

*::selection {
	background-color: black;
	color: white;
}

a {
	text-decoration: none;
}

code {
	font-family: 'Source Code Pro', monospace;
}

body > header {
	background-color: #495bd0;
}

body > header > div {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
	font-size: 1em;
	padding: 1em;
	margin: 0 auto;
	max-width: 80rem;
	background-color: #495bd0;
}

.nav-links {
	display: flex;
	gap: 2em;
}

.nav-links > a {
	--transition-time: 0.2s;
	padding: 0 0.75rem;
	border-radius: 9999999px;
	transition: background-color var(--transition-time), color var(--transition-time),
		transform var(--transition-time);
}

.nav-links > a:hover,
.nav-links > a:focus {
	background-color: white;
	color: #495bd0;
	transform: scale(1.1);
}

p.message {
	position: fixed;
	bottom: 0;
	right: 0;
	font-size: 1.2rem;
	color: white;
	background: #000;
	padding: 0.25em 1em;
	border-radius: 10px 0 0 0;
	display: none;
}

footer {
	width: 100%;
	padding: 1rem;
	font-size: 0.75rem;
	color: #eee;
	background-color: #495bd0;
}

footer > p {
	text-align: center;
}

@media screen and (min-width: 800px) {
	body > header {
		font-size: 1.25rem;
	}
}

@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}

	* {
		animation-duration: 0s !important;
		animation-delay: 0s !important;
		transition: all -1s !important;
	}

	p.message {
		display: block;
	}
}
